Bug 478944 - gdb stops program with "Cannot get thread event message: debugger service failed"
gdb stops program with "Cannot get thread event message: debugger service fai...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516995
  Show dependency treegraph
 
Reported: 2009-01-06 00:45 EST by D. Hugh Redelmeier
Modified: 2009-12-18 02:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:30:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2009-01-06 00:45:47 EST
Description of problem:

To debug firefox crashes (another story) I am using gdb on it.  Unfortunately, execution of firefox is frequently interrupted by gdb which says:
  [New Thread 0x7fe1aea75950 (LWP 26614)]
  Cannot get thread event message: debugger service failed
and goes into command mode as if this were a breakpoint.


Version-Release number of selected component (if applicable):
  gdb-6.8-29.fc10.x86_64


How reproducible:
Whenever I try it.


Steps to Reproduce:
1. run firefox
2. discover the firefox process ID
3. $ gdb /usr/lib64/firefox-3.0.5/firefox FIREFOXPID
4. (gdb) break gdk_x_error
5. (gdb) continue
6. browse and wait for the message from gdb
 

Actual results:
  [New Thread 0x7fe1aea75950 (LWP 26614)]
  Cannot get thread event message: debugger service failed
Typing "continue" to gdb will move past this but it will stop again.


Expected results:
Execution continues until a breakpoint.


Additional info:
A relevant message on the GDB mailing list:
  http://sourceware.org/ml/gdb/2008-12/msg00001.html
I tried running GDB as root but that seemed to change nothing.
Comment 1 Jan Kratochvil 2009-05-19 09:18:14 EDT
Running firefox under GDB for many hours on F11 this way without any problem.
gdb-6.8.50.20090302-21.fc11.x86_64
kernel-2.6.29.2-126.fc11.x86_64

On F10 there was a problem with utrace in its kernels, I had to use custom kernel builds for GDB with utrace disabled using this kernel.spec patch:
http://people.redhat.com/jkratoch/kernel-ptrace.patch
Comment 2 D. Hugh Redelmeier 2009-05-19 12:47:22 EDT
Does Rolland McGrath know this?

What is the status of this? NEXTRELEASE?

It surprises me that there is no evidence of others experiencing this (only 3 on CC list).  Is this a duplicate of some other report?

Maybe nobody is trying to fix Firefox on F10.  If so, too bad: it crashes way too often (not only on F10, mind you).  Firefox problems seem to be quite complex so reliable tools are needed.  (The Firefox bugs that are hitting me are actually in the libraries -- I'm not trying to disparage Firefox.)
Comment 3 Bug Zapper 2009-11-18 05:40:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:30:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.